summaryrefslogtreecommitdiffstats
path: root/source/l/libzip/libzip.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libzip/libzip.SlackBuild')
-rwxr-xr-xsource/l/libzip/libzip.SlackBuild118
1 files changed, 118 insertions, 0 deletions
diff --git a/source/l/libzip/libzip.SlackBuild b/source/l/libzip/libzip.SlackBuild
new file mode 100755
index 000000000..a8eb72a6c
--- /dev/null
+++ b/source/l/libzip/libzip.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Copyright 2007 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman at slackware.com>
+
+
+VERSION=0.9
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:--j6}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-libzip
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf libzip-$VERSION
+tar xvf $CWD/libzip-$VERSION.tar.bz2 || exit 1
+cd libzip-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# This installs hardlinked manpages, bleh!
+( cd $PKG/usr/man/man3
+ # Break links by duplicating the files.
+ for file in *.3 ; do
+ cp -a $file tmp
+ rm $file
+ mv tmp $file
+ done
+)
+# Make symlinks instead:
+( cd $PKG/usr/man/man3
+ rm -rf zip_strerror.3
+ ln -sf zip_file_strerror.3 zip_strerror.3
+ rm -rf zip_replace.3
+ ln -sf zip_add.3 zip_replace.3
+ rm -rf zip_stat_index.3
+ ln -sf zip_stat.3 zip_stat_index.3
+ rm -rf zip_fopen_index.3
+ ln -sf zip_fopen.3 zip_fopen_index.3
+ rm -rf zip_file_error_get.3
+ ln -sf zip_error_get.3 zip_file_error_get.3
+ rm -rf zip_file_error_clear.3
+ ln -sf zip_error_clear.3 zip_file_error_clear.3
+)
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/libzip-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/libzip-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/libzip-$VERSION-$ARCH-$BUILD.txz
+